INSTALL(1)

NAME
install - install binaries

SYNOPSIS
install [ -c ] [ -m mode ] [ -o owner ] [ -g group ] [ -s ] [ -Q ] binary destination

DESCRIPTION
Binary is moved (or copied if -c is specified) to destination. If destination already exists, it is removed before binary is moved. If the destination is a directory then binary is moved into the destination directory with its original file-name.

The mode for Destination is set to 755; the -m mode option may be used to specify a different mode.

Destination is changed to owner root; the -o owner option may be used to specify a different owner.

Destination is changed to group wheel; the -g group option may be used to specify a different group.

If the -s option is specified the binary is stripped and squeezed after being installed. To strip the binary, but not squeeze it, the -Q option must be specified as well.

Install refuses to move a file onto itself.

SEE ALSO
chgrp(1), chmod(1), cp(1), mv(1), strip(1), chown(8)